BASENAME(1)

NOM
basename - Éliminer le chemin d'accès et le suffixe d'un nom de fichier

SYNOPSIS
basename NOM [SUFFIXE]
basename OPTION... NOM...

DESCRIPTION

Afficher le NOM débarrassé de tout chemin. Le SUFFIXE est aussi supprimé si indiqué.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-a, --multiple
    Accepter plusieurs paramètres et les traiter chacun comme un NOM

-s, --suffix=SUFFIXE
    Retirer le SUFFIXE si présent ; implique -a

-z, --zero
    terminer chaque ligne produite par un caractère NULL plutôt que par un changement de ligne

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

EXEMPLES

basename /usr/bin/sort
    → « sort »

basename include/stdio.h .h
    → « stdio »

basename -s .h include/stdio.h
    → « stdio »

basename -a nimp/chaîne1 nimp/chaîne2
    → « chaîne1 » suivi par « chaîne2 »

AUTEUR
Écrit par David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de basename à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
dirname(1), readlink(1)

Documentation complète : <http://www.gnu.org/software/coreutils/basename>
aussi disponible localement à l’aide de la commande : info '(coreutils) basename invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Guillaume Delacour <guillaume DOT delacour AT gmail DOT com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.